#include "histogram.h"
#include "histogram_internal.h"
#include <vector>
using namespace std;

void find_minmax(const vector<double>& numbers, double& min, double& max) {
    if (numbers.empty()) return;
    min = numbers[0];
    max = numbers[0];
    for (double x : numbers) {
        if (x < min) min = x;
        if (x > max) max = x;
    }
}

vector<size_t> make_histogram(const vector<double>& numbers, size_t bin_count) {
    double min, max;
    find_minmax(numbers, min, max);

    float k = (max - min) / bin_count;
    vector<size_t> bins(bin_count, 0);

    for (double num : numbers) {
        bool flag = false;
        for (size_t j = 0; j < bin_count && !flag; j++) {
            if (num >= (min + k * j) && num < (min + k * (j + 1))) {
                bins[j]++;
                flag = true;
            }
        }
        if (!flag) bins[bin_count - 1]++;
    }

    return bins;
}
