#include "svg.h"
#include <iostream>

using namespace std;

void svg_begin(double width, double height) {
    cout << "<?xml version='1.0' encoding='UTF-8' ?>\n";
    cout << "<svg width='" << width << "' height='" << height << "' "
         << "viewBox='0 0 " << width << " " << height << "' "
         << "xmlns='http://www.w3.org/2000/svg'>\n";
}

void svg_end() {
    cout << "</svg>\n";
}

void svg_text(double left, double baseline, const std::string& text) {
    cout << "<text x='" << left << "' y='" << baseline << "'>" << text << "</text>\n";
}

void svg_rect(double x, double y, double width, double height,
              const std::string& stroke, const std::string& fill) {
    cout << "<rect x='" << x << "' y='" << y << "' width='" << width
         << "' height='" << height << "' stroke='" << stroke
         << "' fill='" << fill << "' />\n";
}
